# POLYGON_EDGE Struct Reference

## Data Fields
short | top
short | bottom
float | x
float | dx
float | w
struct POLYGON_EDGE * | prev
struct POLYGON_EDGE * | next

## Field Documentation

short POLYGON_EDGE::top

Referenced by add_edge(), fill_edge_structure(), and Polyfill_General().

short POLYGON_EDGE::bottom

Referenced by fill_edge_structure(), and Polyfill_General().

float POLYGON_EDGE::x

Referenced by add_edge(), fill_edge_structure(), and Polyfill_General().

float POLYGON_EDGE::dx

Referenced by add_edge(), fill_edge_structure(), and Polyfill_General().

float POLYGON_EDGE::w

Referenced by add_edge(), Chercher_droite(), fill_edge_structure(), and Polyfill_General().

struct POLYGON_EDGE* POLYGON_EDGE::prev`[read]`

Referenced by add_edge(), fill_edge_structure(), Polyfill_General(), and remove_edge().

struct POLYGON_EDGE* POLYGON_EDGE::next`[read]`

Referenced by add_edge(), fill_edge_structure(), Polyfill_General(), and remove_edge().

The documentation for this struct was generated from the following file:

- graph.c